/***
 * GASP: a gaming services platform for mobile multiplayer games.
 * MooDS: a communication protocol used in GASP.
 * GASP Demonstrator: a gasp demonstration game.
 *
 * Copyright (C) 2004 CNAM/INT
 * 
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 * 
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 * 
 * Contact: gasp-team@objectweb.org
 *
 * Author: Franck Caron, Romain Pellerin
 */
/*
 * Created on 2 december 2005
 *
 * @author CARON Franck - CNAM CEDRIC
 * @author PELLERIN Romain - CNAM CEDRIC
 * @author DELPIANO Fabien - Filao
 * 
 * 
 * Research project: CNAM-CEDRIC - INT - Filao
 */
//#include parameters.h
////#define DEMO
////#define VERSION_SOLO
////#define FRANCK
////#define LASTPING
////#define RESYNC

//#endinclude

package app2.client.game;
import java.util.Random;

import javax.microedition.lcdui.Canvas;
import javax.microedition.lcdui.Graphics;

import app2.client.NetworkCom;

public class HeroeActor extends Actor {

	/**
	 * @param game
	 */
	public HeroeActor(GameCanvas game) {
		super(game);
	}
	/****************************/
	/*** Heroe initialization ***/
	/****************************/
	
	public void initialize() {
		Random rand = new Random();
		this.x = Math.abs(rand.nextInt()% GameCanvas.xMaxD);
		this.y = Math.abs(rand.nextInt()% GameCanvas.yMaxD);
	}

	public void initializeHeroe(int x, int y, long moyPing) {
		this.x = x;
		this.y = y;
	}

	/*********************/
	/****** Actions ******/
	/*********************/
	
	public void executeActions(long time, long delta_time) {
		//super.executeActions(time, delta_time);

		if (game.isKeyPressed(Canvas.RIGHT)) {
			moveX(1500, delta_time);
			game.canUpdate = true;
		}
		if (game.isKeyPressed(Canvas.LEFT)) {
			moveX(-1500, delta_time);
			game.canUpdate = true;
		}
		if (game.isKeyPressed(Canvas.DOWN)){
			moveY(1500, delta_time);
			game.canUpdate = true;
		}
		if (game.isKeyPressed(Canvas.UP)){
			moveY(-1500, delta_time);
			game.canUpdate = true;
		}
		if (game.isKeyPressed(Canvas.FIRE)) {
		}

	}
	/*********************/
	/****** Graphic ******/
	/*********************/

	public void paint(Graphics g, long gameTime, long deltaTime) {
		super.paint(g, gameTime, deltaTime);
		g.setColor(0xCC0000);
		g.drawString(username, game.convertToScreenX(getX()), game.convertToScreenY(getY())+5, Graphics.TOP | Graphics.HCENTER);
	}
	

	/*****************************/
	/*** Collisions management ***/
	/*****************************/
	
	/**
	 * This part is to manage collision between actor and/or other objects. It's not include in this demostrator.
	 */

}
